Sub EGLN()
Attribute EGLN.VB_Description = "Konvertering af lndele tll EG ln"
Attribute EGLN.VB_ProcData.VB_Invoke_Func = "l\n14"
'
' EGLN Makro
' Konvertering af lndele tll EG ln
'
' Genvejstast:Ctrl+l
'
	Columns("B:B").Select
    
	Selection.Replace What:="1", Replacement:="1", LookAt:=xlWhole, _
		SearchOrder:=xlByRows, MatchCase:=False, SearchFormat:=False, _
		ReplaceFormat:=False
		
	ReformatCellsForEg

	ActiveWindow.SmallScroll Down:=-33
	Range("A1").Select
	
End Sub

Sub ReformatCellsForEg()

	Dim rowCount As Integer

	rowCount = Sheets(1).UsedRange.Rows.Count
	Columns.Sort key1:=Columns(1), key2:=Columns(2), key3:=Columns(5)
    
	For currentRow = rowCount To 1 Step -1
    
		If (IsEmpty(Cells(currentRow, 1))) Then
			Cells(currentRow, 1).EntireRow.Delete
			
		Else
			Cells(currentRow, 4) = "'" & Replace(Cells(currentRow, 4), ",", ".")
			
			If (Not IsEmpty(Cells(currentRow, 5))) Then
				Cells(currentRow, 5) = "'" & Replace(Cells(currentRow, 5), ",", ".")
			End If
			
			Cells(currentRow, 6) = Format(Cells(currentRow, 6), "yyyymmdd")
		End If
        
	Next

End Sub

